<!DOCTYPE html>
<html>
<head>
	<title>Dibrella</title>
</head>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/css?family=Noto+Sans&display=swap" rel="stylesheet">
<style type="text/css">
	body{
		margin: 0;
		height: 100vh;
		width: 100vw;
		display: flex;
		justify-content: center;
		align-items: center;
		background: url("./ddfs.jpg");
		background-size: cover;
		background-attachment: fixed;
		background-position: center;
		overflow: hidden;
		font-family: 'Noto Sans', sans-serif;
	}
	.login-box{
		display:  flex;	
		height: 85vh;
		width: 90vw;
		background: white;
		position: relative;
		overflow: hidden;
		border-radius: 10px;
		box-shadow: 1px 2px 8px rgba(0,0,0,0.2);
	}
	.form,.message{
		height: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
		transition:2s;
	}
	.message{
		width: 35%;
		right: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		background: teal;
		color: white;
		position: absolute;
	}
	.form{
		width: 65%;
	}
	.login-form, .register-form{
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
	}
	
	.social-icon{
		margin-top: 0px;
		margin-bottom: 25px;
		align-items: center;
		display: flex;
		justify-content: center;
	}
	.social-icon>div{
		height: 30px;
		width: 30px;
		margin: 5px;
		font-weight: bolder;
		display: flex;
		justify-content: center;
		align-items: center;
		border-radius: 50%;
		border: 1px solid lightgrey;
	}
	.title{
		margin-bottom: 25px;
		font-size: 2.5em;
	}
	.login-form>.title{
		color: teal;
	}
	.or{
		font-size: 12px;
		margin-bottom: 10px;
		color: lightgrey;
	}
	.pp{
		font-size: 12px;
		margin: 10px;
		padding: 5px;
		border-bottom: 2px solid #edf4f4;
	}
	.input-box{
		margin: 5px;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		width: 25vw;
		height: 6vh;
		background:#edf4f4;
	}
	input{
		border: none;
		background:none;
		outline: none;
	}
	i{
		margin-left: 1vw;
		margin-right: 0.5vw;
		color:grey;
	}
	p{
		line-height: 1px;
	}
	button{
		letter-spacing: 2px;
		height: 6vh;
		width: 12vw;
		border-radius: 50px;
		background: teal;
		margin: 20px;
		border: none;
		outline: none;
		color: white;
	}

	.message>div{
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
	}
	.register-form>.title{
		color: teal;
	}
	.title{
		color:white;
		font-weight: bold;
		z-index: 1;
	}
	.register-message>button, .login-message>button{
		border: 1px solid white;
		margin: 25px;
		opacity: .7;
	}
	.para{
		opacity: .7;
	}
	button:hover{
	cursor: pointer;
	}
	.logo{
		z-index: 1;
		top: 8vh;
		height: 10vh;
		width: 100vw;
		position: fixed;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		transition: .5s;
	}
	img{
		border: 1px solid teal;
		margin: 8px;
		height: 30px;
		width :30px;
	}
	.login>.form{
		margin-left:0;
	}
	.login>.message{
		right:-1px;
	}
	.register>.form{
		margin-left:35%;
	}
	.register>.message{
		right:65%;
	}
	.register>.message>.register-message{
		display: none;
	}
	.register>.logo{
		color: white;
	}
	.register>.form>.login-form{
		display: none;
	}
	.login>.message>.login-message{
		display: none;
	}
	.login>.form>.register-form{
		display: none;
	}
	.message::before{
		content:'';
		position: absolute;
		background: url("./ddfs.jpg");
		height: 100%;
		width: 100%;
		overflow: hidden;
		background-size: cover;
		background-attachment: fixed;
		background-position: center;
	}
</style>
<body>
	
	<div class="login-box register" id="loginBox">
		<div class="logo"> <img src="./download.png">Diprella</div>
		<div class="form">
			<div class="login-form">
				<div class="title">Sign in to Diprella</div>
				<div class="social-icon">
					<div>f</div>
					<div>G+</div>
					<div>in</div>
				</div>
				<div class="or">or use your email account:</div>
			<div class="input-box">
					<span class="icon">
						<i class="far fa-envelope"></i>
					</span>
					<input type="text" placeholder="Email">
				</div>
				<div class="input-box">
					<span class="icon">
						<i class="fas fa-lock"></i>
					</span>
					<input type="password" placeholder="Password">
				</form>
				</div>
				
				<div class="pp">Forgot your password?</div>
				<button onclick="changeState()">SIGN IN</button>
			</div>
			<div class="register-form">
				<div class="title">Create Account</div>
				<div class="social-icon">
					<div>f</div>
					<div>G+</div>
					<div>in</div>
				</div>
				<div class="or">or use your email for registration:</div>
				<div class="input-box">
					<span class="icon">
						<i class="far fa-user"></i>
					</span>
					<input type="text" placeholder="Name">
				</div>
				<div class="input-box">
					<span class="icon">
						<i class="far fa-envelope"></i>
					</span>
					<input type="text" placeholder="Email">
				</div>
				<div class="input-box">
					<span class="icon">
						<i class="fas fa-lock"></i>
					</span>
					<input type="password" placeholder="Password">
				</form>
				</div>
				<button onclick="changeState()">SIGN UP</button>
			</div>
		</div>
		<div class="message">
			<div class="login-message">
				<div class="title">Welcome Back!</div>
				<div class="para">To keep connected with us please</div>
				<div class="para">login with your personal info</div>
				<button onclick="changeState()">SIGN IN</button>
			</div>
			<div class="register-message">
				<div class="title">Hello, Friend!</div>
				<div class="para">Enter your personal details </div>
				<div class="para"> and start journey with us</div>
				<button onclick="changeState()">SIGN UP</button>
			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	function changeState(){
		document.getElementById('loginBox').classList.toggle('login');
		document.getElementById('loginBox').classList.toggle('register');
	}
</script>
</html>